@import "../../../../../styles/_var.scss";

:host {
  display: block;
  width: 100%;
}

input[type="search"] {
  -webkit-appearance: none;
}

.search-wrapper {
  position: relative;
  width: 100%;

  .search-icon {
    position: absolute;
    font-size: 24px;
    top: 6px;
    left: 24px;
    transition: color 0.2s ease;
  }

  input.search-input {
    display: block;
    padding: 8px 8px 8px 72px;
    box-shadow: 0 1px 1.5px rgba(0,0,0,0.06),0 1px 1px rgba(0,0,0,0.12);
    height: 36px;
    transition: all 0.2s ease;
    border: none;
    font-size: 16px;
    appearance: textfield;
    font-weight: 300;
    outline: none;
    border-radius: 3px;
    box-sizing: border-box;
    color: currentColor;
    background: rgba(255, 255, 255, 0.2);
    width: 100%;

    &:hover {
      background: rgba(255, 255, 255, 0.5);
    }

    &::-webkit-input-placeholder {  color: currentColor;  }
    &:-moz-placeholder {  opacity: 1;  color: currentColor;  }
    &::-moz-placeholder {  opacity: 1;  color: currentColor;  }
    &:-ms-input-placeholder {  color: currentColor;  }
  }

  &.focus {
    .search-icon {
      color: rgba(0, 0, 0, 0.87);
    }

    input.search-input {
      background: white;
      color: rgba(0, 0, 0, 0.87);

      &::-webkit-input-placeholder {  color: rgba(0, 0, 0, 0.87);  }
      &:-moz-placeholder {  opacity: 1;  color: rgba(0, 0, 0, 0.87);  }
      &::-moz-placeholder {  opacity: 1;  color: rgba(0, 0, 0, 0.87);  }
      &:-ms-input-placeholder {  color: rgba(0, 0, 0, 0.87);  }
    }

    .search-dropdown {
      transform: translateY(0);
      visibility: visible;
    }
  }


  .search-dropdown {
    background: white;
    color: $color__text-darkest;
    position: absolute;
    top: (($height__toolbar - 36px) / 2) + 36px; // 36px is the height of the search-bar
    left: 0;
    width: 100%;
    z-index: -1;
    transform: translateY(-110%);
    visibility: hidden;
    transition: transform .4s cubic-bezier(.25,.8,.25,1), visibility .4s cubic-bezier(.25,.8,.25,1);

    .content {
      padding: 16px;
      font-size: 14px;

      .heading {
        font-size: 13px;
        color: #888;
        margin-bottom: 2px;

        .icon {
          font-size: 20px;
          height: 20px;
          width: 20px;
          line-height: 20px;
          margin-right: 6px;
        }
      }

      .items {
        .item {
          position: relative;
          padding: 8px 0 6px 26px;
          margin: 2px 0;
          cursor: pointer;
          transition: background .1s;
          outline: none;

          &:hover {
            background: #EFEFEF;
          }
        }
      }
    }
  }
}



